terraform {
  required_providers {
    netbox = {
      source  = "e-breuninger/netbox"
      version = "~> 1.5.2"
    }
    xenorchestra = {
      source  = "terra-farm/xenorchestra"
      version = "~> 0.9"
    }
  }
}

provider "netbox" {
  server_url           = var.netbox_server_url
  api_token            = var.netbox_api_token
  allow_insecure_https = var.netbox_allow_insecure_https
}
provider "xenorchestra" {
  # Must be ws or wss
  url      = var.xo_url
  username = var.xo_username
  password = var.xo_password

  # This is false by default and
  # will disable ssl verification if true.
  # This is useful if your deployment uses
  # a self signed certificate but should be
  # used sparingly!
  insecure = var.xo_insecure # Or set XOA_INSECURE environment variable to any value
}
